Commit f5d9a898 authored by Marco Clemencic's avatar Marco Clemencic
Browse files

Enforce the use of Boost Filesystem Version 3 also with Boost 1.44

for backward compatibility (bug #89653)
https://savannah.cern.ch/bugs/?89653

From: Marco Clemencic <marco.clemencic@cern.ch>


git-svn-id: svn+ssh://svn.cern.ch/reps/gaudi/Gaudi/trunk@6712 53ecefc3-a64d-0410-9bdf-b8581fa3287e
parent 01c1aea6
......@@ -745,6 +745,9 @@ macro_append cppflags "" \
host-i686&target-x86_64 " -m64" \
host-i386&target-x86_64 " -m64"
# FIXME: enforce the use of Boost Filesystem V3 to be compatible between 1.44 and 1.48
macro_append pp_cppflags " -DBOOST_FILESYSTEM_VERSION=3 "
# ---- Disable warnings coming from external libraries
# the hacks can be disabled with the tag "no-hide-warnings".
# FIXME: (MCl) Temporary work-around until gccxml understands unordered_map
......
package GaudiPolicy
package manager: Marco Clemencic
! 2011-12-07 - Marco Clemencic
- Enforce the use of Boost Filesystem Version 3 also with Boost 1.44, for
backward compatibility (bug #89653)
! 2011-11-16 - Marco Clemencic
- Disable deprecation warnings on gcc 4.6.
We need an alternative to the current gccxml to properly fix them.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment